<?php
/**
 * Banner Section
 *
 * @package News Steam
 */

$wp_customize->add_section(
	'news_steam_banner_section',
	array(
		'panel' => 'news_steam_front_page_options',
		'title' => esc_html__( 'Banner Section', 'news-steam' ),
	)
);

// Banner Section - Enable Section.
$wp_customize->add_setting(
	'news_steam_enable_banner_section',
	array(
		'default'           => false,
		'sanitize_callback' => 'news_steam_sanitize_switch',
	)
);

$wp_customize->add_control(
	new News_Steam_Toggle_Switch_Custom_Control(
		$wp_customize,
		'news_steam_enable_banner_section',
		array(
			'label'    => esc_html__( 'Enable Banner Section', 'news-steam' ),
			'section'  => 'news_steam_banner_section',
			'settings' => 'news_steam_enable_banner_section',
		)
	)
);

if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial(
		'news_steam_enable_banner_section',
		array(
			'selector' => '#news_steam_banner_section .section-link',
			'settings' => 'news_steam_enable_banner_section',
		)
	);
}

// Banner Section Main - Heading.
$wp_customize->add_setting(
	'news_steam_banner_section_area',
	array(
		'sanitize_callback' => 'wp_kses_post',
	)
);

$wp_customize->add_control(
	new News_Steam_Title_Control(
		$wp_customize,
		'news_steam_banner_section_area',
		array(
			'label'           => __( 'Main Banner Settings', 'news-steam' ),
			'section'         => 'news_steam_banner_section',
			'settings'        => 'news_steam_banner_section_area',
			'active_callback' => 'news_steam_is_banner_section_enabled',
		)
	)
);

// Banner Section - Main Banner Title.
$wp_customize->add_setting(
	'news_steam_main_banner_title',
	array(
		'default'           => __( 'Main Banner', 'news-steam' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'news_steam_main_banner_title',
	array(
		'label'           => esc_html__( 'Section Title', 'news-steam' ),
		'section'         => 'news_steam_banner_section',
		'settings'        => 'news_steam_main_banner_title',
		'type'            => 'text',
		'active_callback' => 'news_steam_is_banner_section_enabled',
	)
);

// Banner Section - Main Banner Button Label.
$wp_customize->add_setting(
	'news_steam_main_banner_button_label',
	array(
		'default'           => __( 'View All', 'news-steam' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'news_steam_main_banner_button_label',
	array(
		'label'           => esc_html__( 'Button Label', 'news-steam' ),
		'section'         => 'news_steam_banner_section',
		'settings'        => 'news_steam_main_banner_button_label',
		'type'            => 'text',
		'active_callback' => 'news_steam_is_banner_section_enabled',
	)
);

// Banner Section - Main Banner Button Link.
$wp_customize->add_setting(
	'news_steam_main_banner_button_link',
	array(
		'default'           => '#',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'news_steam_main_banner_button_link',
	array(
		'label'           => esc_html__( 'Button Link', 'news-steam' ),
		'section'         => 'news_steam_banner_section',
		'settings'        => 'news_steam_main_banner_button_link',
		'type'            => 'url',
		'active_callback' => 'news_steam_is_banner_section_enabled',
	)
);

// Banner Section - Main News Content Type.
$wp_customize->add_setting(
	'news_steam_main_news_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'news_steam_sanitize_select',
	)
);

$wp_customize->add_control(
	'news_steam_main_news_content_type',
	array(
		'label'           => esc_html__( 'Select Content Type', 'news-steam' ),
		'section'         => 'news_steam_banner_section',
		'settings'        => 'news_steam_main_news_content_type',
		'type'            => 'select',
		'active_callback' => 'news_steam_is_banner_section_enabled',
		'choices'         => array(
			'post'     => esc_html__( 'Post', 'news-steam' ),
			'category' => esc_html__( 'Category', 'news-steam' ),
		),
	)
);

for ( $i = 1; $i <= 6; $i++ ) {
	// Banner Section - Select Post.
	$wp_customize->add_setting(
		'news_steam_main_news_content_post_' . $i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'news_steam_main_news_content_post_' . $i,
		array(
			'label'           => sprintf( esc_html__( 'Select Post %d', 'news-steam' ), $i ),
			'section'         => 'news_steam_banner_section',
			'settings'        => 'news_steam_main_news_content_post_' . $i,
			'active_callback' => 'news_steam_is_main_news_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => news_steam_get_post_choices(),
		)
	);

}

// Banner Section - Select Category.
$wp_customize->add_setting(
	'news_steam_main_news_content_category',
	array(
		'sanitize_callback' => 'news_steam_sanitize_select',
	)
);

$wp_customize->add_control(
	'news_steam_main_news_content_category',
	array(
		'label'           => esc_html__( 'Select Category', 'news-steam' ),
		'section'         => 'news_steam_banner_section',
		'settings'        => 'news_steam_main_news_content_category',
		'active_callback' => 'news_steam_is_main_news_section_and_content_type_category_enabled',
		'type'            => 'select',
		'choices'         => news_steam_get_post_cat_choices(),
	)
);

// Banner Section - Editor Choice Heading.
$wp_customize->add_setting(
	'news_steam_editor_choice_area',
	array(
		'sanitize_callback' => 'wp_kses_post',
	)
);

$wp_customize->add_control(
	new News_Steam_Title_Control(
		$wp_customize,
		'news_steam_editor_choice_area',
		array(
			'label'           => __( 'Editor Choice Settings', 'news-steam' ),
			'section'         => 'news_steam_banner_section',
			'settings'        => 'news_steam_editor_choice_area',
			'active_callback' => 'news_steam_is_banner_section_enabled',
		)
	)
);

// Banner Section - Editor Choice Title.
$wp_customize->add_setting(
	'news_steam_editor_choice_title',
	array(
		'default'           => __( 'Editors Choice', 'news-steam' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'news_steam_editor_choice_title',
	array(
		'label'           => esc_html__( 'Section Title', 'news-steam' ),
		'section'         => 'news_steam_banner_section',
		'settings'        => 'news_steam_editor_choice_title',
		'type'            => 'text',
		'active_callback' => 'news_steam_is_banner_section_enabled',
	)
);

// Banner Section - Editor Choice Button Label.
$wp_customize->add_setting(
	'news_steam_editor_choice_button_label',
	array(
		'default'           => __( 'View All', 'news-steam' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'news_steam_editor_choice_button_label',
	array(
		'label'           => esc_html__( 'Button Label', 'news-steam' ),
		'section'         => 'news_steam_banner_section',
		'settings'        => 'news_steam_editor_choice_button_label',
		'type'            => 'text',
		'active_callback' => 'news_steam_is_banner_section_enabled',
	)
);

// Banner Section - Editor Choice Button Link.
$wp_customize->add_setting(
	'news_steam_editor_choice_button_link',
	array(
		'default'           => '#',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'news_steam_editor_choice_button_link',
	array(
		'label'           => esc_html__( 'Button Link', 'news-steam' ),
		'section'         => 'news_steam_banner_section',
		'settings'        => 'news_steam_editor_choice_button_link',
		'type'            => 'url',
		'active_callback' => 'news_steam_is_banner_section_enabled',
	)
);

// Banner Section - Editor Choice Content Type.
$wp_customize->add_setting(
	'news_steam_editor_choice_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'news_steam_sanitize_select',
	)
);

$wp_customize->add_control(
	'news_steam_editor_choice_content_type',
	array(
		'label'           => esc_html__( 'Select Content Type', 'news-steam' ),
		'section'         => 'news_steam_banner_section',
		'settings'        => 'news_steam_editor_choice_content_type',
		'type'            => 'select',
		'active_callback' => 'news_steam_is_banner_section_enabled',
		'choices'         => array(
			'post'     => esc_html__( 'Post', 'news-steam' ),
			'category' => esc_html__( 'Category', 'news-steam' ),
		),
	)
);

for ( $i = 1; $i <= 5; $i++ ) {
	// Banner Section - Select Post.
	$wp_customize->add_setting(
		'news_steam_editor_choice_content_post_' . $i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'news_steam_editor_choice_content_post_' . $i,
		array(
			'label'           => sprintf( esc_html__( 'Select Post %d', 'news-steam' ), $i ),
			'section'         => 'news_steam_banner_section',
			'settings'        => 'news_steam_editor_choice_content_post_' . $i,
			'active_callback' => 'news_steam_is_editor_choice_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => news_steam_get_post_choices(),
		)
	);

}

// Banner Section - Select Category.
$wp_customize->add_setting(
	'news_steam_editor_choice_content_category',
	array(
		'sanitize_callback' => 'news_steam_sanitize_select',
	)
);

$wp_customize->add_control(
	'news_steam_editor_choice_content_category',
	array(
		'label'           => esc_html__( 'Select Category', 'news-steam' ),
		'section'         => 'news_steam_banner_section',
		'settings'        => 'news_steam_editor_choice_content_category',
		'active_callback' => 'news_steam_is_editor_choice_section_and_content_type_category_enabled',
		'type'            => 'select',
		'choices'         => news_steam_get_post_cat_choices(),
	)
);

// Banner Section - Featured News Heading.
$wp_customize->add_setting(
	'news_steam_featured_news_area',
	array(
		'sanitize_callback' => 'wp_kses_post',
	)
);

$wp_customize->add_control(
	new News_Steam_Title_Control(
		$wp_customize,
		'news_steam_featured_news_area',
		array(
			'label'           => __( 'Featured News Settings', 'news-steam' ),
			'section'         => 'news_steam_banner_section',
			'settings'        => 'news_steam_featured_news_area',
			'active_callback' => 'news_steam_is_banner_section_enabled',
		)
	)
);

// Banner Section - Featured News Title.
$wp_customize->add_setting(
	'news_steam_featured_news_title',
	array(
		'default'           => __( 'Featured News', 'news-steam' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'news_steam_featured_news_title',
	array(
		'label'           => esc_html__( 'Section Title', 'news-steam' ),
		'section'         => 'news_steam_banner_section',
		'settings'        => 'news_steam_featured_news_title',
		'type'            => 'text',
		'active_callback' => 'news_steam_is_banner_section_enabled',
	)
);

// Banner Section - Editor Choice Button Label.
$wp_customize->add_setting(
	'news_steam_featured_news_button_label',
	array(
		'default'           => __( 'View All', 'news-steam' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'news_steam_featured_news_button_label',
	array(
		'label'           => esc_html__( 'Button Label', 'news-steam' ),
		'section'         => 'news_steam_banner_section',
		'settings'        => 'news_steam_featured_news_button_label',
		'type'            => 'text',
		'active_callback' => 'news_steam_is_banner_section_enabled',
	)
);

// Banner Section - Editor Choice Button Link.
$wp_customize->add_setting(
	'news_steam_featured_news_button_link',
	array(
		'default'           => '#',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'news_steam_featured_news_button_link',
	array(
		'label'           => esc_html__( 'Button Link', 'news-steam' ),
		'section'         => 'news_steam_banner_section',
		'settings'        => 'news_steam_featured_news_button_link',
		'type'            => 'url',
		'active_callback' => 'news_steam_is_banner_section_enabled',
	)
);

// Banner Section - Featured News Content Type.
$wp_customize->add_setting(
	'news_steam_featured_news_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'news_steam_sanitize_select',
	)
);

$wp_customize->add_control(
	'news_steam_featured_news_content_type',
	array(
		'label'           => esc_html__( 'Select Content Type', 'news-steam' ),
		'section'         => 'news_steam_banner_section',
		'settings'        => 'news_steam_featured_news_content_type',
		'type'            => 'select',
		'active_callback' => 'news_steam_is_banner_section_enabled',
		'choices'         => array(
			'post'     => esc_html__( 'Post', 'news-steam' ),
			'category' => esc_html__( 'Category', 'news-steam' ),
		),
	)
);

for ( $i = 1; $i <= 5; $i++ ) {
	// Banner Section - Select Post.
	$wp_customize->add_setting(
		'news_steam_featured_news_content_post_' . $i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'news_steam_featured_news_content_post_' . $i,
		array(
			'label'           => sprintf( esc_html__( 'Select Post %d', 'news-steam' ), $i ),
			'section'         => 'news_steam_banner_section',
			'settings'        => 'news_steam_featured_news_content_post_' . $i,
			'active_callback' => 'news_steam_is_featured_news_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => news_steam_get_post_choices(),
		)
	);

}

// Banner Section - Select Category.
$wp_customize->add_setting(
	'news_steam_featured_news_content_category',
	array(
		'sanitize_callback' => 'news_steam_sanitize_select',
	)
);

$wp_customize->add_control(
	'news_steam_featured_news_content_category',
	array(
		'label'           => esc_html__( 'Select Category', 'news-steam' ),
		'section'         => 'news_steam_banner_section',
		'settings'        => 'news_steam_featured_news_content_category',
		'active_callback' => 'news_steam_is_featured_news_section_and_content_type_category_enabled',
		'type'            => 'select',
		'choices'         => news_steam_get_post_cat_choices(),
	)
);

// Banner Section - Advertisement Logo.
$wp_customize->add_setting(
	'news_steam_banner_advertisement_image',
	array(
		'sanitize_callback' => 'news_steam_sanitize_image',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize,
		'news_steam_banner_advertisement_image',
		array(
			'label'           => esc_html__( 'Advertisement Logo', 'news-steam' ),
			'section'         => 'news_steam_banner_section',
			'settings'        => 'news_steam_banner_advertisement_image',
			'active_callback' => 'news_steam_is_banner_section_enabled',
		)
	)
);

// Banner Section - Advertisement Logo URL.
$wp_customize->add_setting(
	'news_steam_banner_advertisement_image_url',
	array(
		'default'           => '#',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'news_steam_banner_advertisement_image_url',
	array(
		'label'           => esc_html__( 'Advertisement URL', 'news-steam' ),
		'section'         => 'news_steam_banner_section',
		'settings'        => 'news_steam_banner_advertisement_image_url',
		'type'            => 'url',
		'active_callback' => 'news_steam_is_banner_section_enabled',
	)
);
